package com.zkqy.execution.produce.dispersed.entity.runbpm;

import com.zkqy.system.entity.BpmNodeHandleUser;
import com.zkqy.system.entity.BpmNodeScriptRelevance;

import java.util.List;

/**
 * 当前节点的执行用户以及需要执行的脚本
 *
 * @author hanzihang
 * @date 2023/11/2 4:38
 */
public class BpmUserScriptVo {

    // 当前节点标识
    private String nodeKey;

    // 当前节点的执行用户
    private List<BpmNodeHandleUser> bpmNodeHandleUserList;

    // 当前节点绑定的脚本
    private List<BpmNodeScriptRelevance> bpmNodeScriptRelevanceList;

    public BpmUserScriptVo() {
    }

    public BpmUserScriptVo(String nodeKey, List<BpmNodeHandleUser> bpmNodeHandleUserList, List<BpmNodeScriptRelevance> bpmNodeScriptRelevanceList) {
        this.nodeKey = nodeKey;
        this.bpmNodeHandleUserList = bpmNodeHandleUserList;
        this.bpmNodeScriptRelevanceList = bpmNodeScriptRelevanceList;
    }

    @Override
    public String toString() {
        final StringBuffer sb = new StringBuffer("BpmUserScript{");
        sb.append("nodeKey='").append(nodeKey).append('\'');
        sb.append(", bpmNodeHandleUserList=").append(bpmNodeHandleUserList);
        sb.append(", bpmNodeScriptRelevanceList=").append(bpmNodeScriptRelevanceList);
        sb.append('}');
        return sb.toString();
    }

    public String getNodeKey() {
        return nodeKey;
    }

    public void setNodeKey(String nodeKey) {
        this.nodeKey = nodeKey;
    }

    public List<BpmNodeHandleUser> getBpmNodeHandleUserList() {
        return bpmNodeHandleUserList;
    }

    public void setBpmNodeHandleUserList(List<BpmNodeHandleUser> bpmNodeHandleUserList) {
        this.bpmNodeHandleUserList = bpmNodeHandleUserList;
    }

    public List<BpmNodeScriptRelevance> getBpmNodeScriptRelevanceList() {
        return bpmNodeScriptRelevanceList;
    }

    public void setBpmNodeScriptRelevanceList(List<BpmNodeScriptRelevance> bpmNodeScriptRelevanceList) {
        this.bpmNodeScriptRelevanceList = bpmNodeScriptRelevanceList;
    }
}
